Vulnerability Bulletins

MSA-23-0015: Minor SQL injection risk in external Wiki method for listing pages


System information

   
Affected software PHP

Description

par Michael Hawkins. A limited SQL injection risk was identified in functionality used by the Wiki activity when listing pages.Severity/Risk:MinorVersions affected:4.1 to 4.1.2, 4.0 to 4.0.7, 3.11 to 3.11.13, 3.9 to 3.9.20 and earlier unsupported versionsVersions fixed:4.1.3, 4.0.8, 3.11.14 and 3.9.21Reported by:Paul HoldenCVE identifier:CVE-2023-30944Changes (master):http://git.moodle.org/gw?p=moodle.git&a=search&h=HEAD&st=commit&s=MDL-77187Tracker issue:MDL-77187 Minor SQL

More info:

https://moodle.org/mod/forum/discuss.php?d=446286&parent=1793614

Standar resources

Property Value
CVE CVE-2023-30944.

Version history

Version Comments Date
1.0 Advisory issued 2023-06-22
Ministerio de Defensa
CNI
CCN
CCN-CERT